<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, shrink-to-fit=no">
    <title>เพิ่มสินค้า - LISH THAILAND MEMBER</title>
    <link rel="icon" type="image/x-icon" href="/assets/img/favicon.ico" />
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="https://fonts.googleapis.com/css?family=Sarabun:wght@100;200;400;500;600&display=swap" rel="stylesheet">
    <link href="/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <link href="/assets/css/plugins.css" rel="stylesheet" type="text/css" />
    <!-- END GLOBAL MANDATORY STYLES -->
    <link rel="stylesheet" type="text/css" href="/plugins/dropify/dropify.min.css">
    <link href="/assets/css/users/account-setting.css" rel="stylesheet" type="text/css" />
    <!-- BEGIN PAGE LEVEL CUSTOM STYLES -->
    <link rel="stylesheet" type="text/css" href="/assets/css/forms/switches.css">
    <!-- END PAGE LEVEL CUSTOM STYLES -->
    <link rel="stylesheet" type="text/css" href="/plugins/bootstrap-touchspin/jquery.bootstrap-touchspin.min.css">
    <link href="/assets/css/tables/table-basic.css" rel="stylesheet" type="text/css" />
    <link href="/plugins/flatpickr/flatpickr.css" rel="stylesheet" type="text/css">
    <link href="/plugins/flatpickr/custom-flatpickr.css" rel="stylesheet" type="text/css">

    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
    <style>
        .ui-autocomplete {
            max-height: 200px;
            overflow-y: auto;
            /* prevent horizontal scrollbar */
            overflow-x: hidden;
            /* add padding to account for vertical scrollbar */
            padding-right: 20px;
        } 
    </style>
</head>

<body class="sidebar-noneoverflow">

    <!--  BEGIN NAVBAR  -->
    <%-include('../partials/navbar')%>
    <!--  END NAVBAR  -->

    <!--  BEGIN MAIN CONTAINER  -->
    <div class="main-container" id="container">

        <div class="overlay"></div>
        <div class="cs-overlay"></div>
        <div class="search-overlay"></div>

        <!--  BEGIN SIDEBAR  -->
        <%-include('../partials/sidebar')%>
        <!--  END SIDEBAR  -->

        <!--  BEGIN CONTENT AREA  -->
        <div id="content" class="main-content">
            <div class="layout-px-spacing">
                
                <div class="container">
                    <div class="row layout-top-spacing layout-spacing">
                        <div class="col-lg-12">
                            <div class="statbox widget box box-shadow">
                                <div class="widget-header">
                                </div>
                                <div class="widget-content widget-content-area">
                                    <div id="work-experience" class="section work-experience">
                                        <div class="info">
                                            <div class="row mt-4">
                                                <div class="col-md-11 mx-auto">
                                                    <h4 class="">Promotion <b class="text-success">Member</b></h4>
                                                    <div class="work-section">
                                                        <div class="row">
                                                            <div class="col-md-12 mt-3" hidden id="status">
                                                                <label class="switch s-success">
                                                                    <input type="checkbox" id="check" name="check" checked>
                                                                    <span class="slider round"></span>
                                                                </label>
                                                            </div>
                                                            <div class="col-md-12 mt-3">
                                                                <input type="hidden" class="form-control"
                                                                id="id" name="id" value="0">
                                                                <div class="row">
                                                                    <div class="col-md-8 col-12">
                                                                        <div class="form-group">
                                                                            <label for="degree3">ชื่อสินค้า</label>
                                                                            <input type="text" class="form-control"
                                                                                id="promotion_name" name="promotion_name" value="" required>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-4 col-12">
                                                                        <div class="form-group">
                                                                            <label for="degree3">รหัส LISH PROMOTION</label>
                                                                            <input type="text" class="form-control"
                                                                                id="promotion_code" name="promotion_code" value="<%=code %>" readonly>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-12 mt-3">
                                                                <div class="row">
                                                                    <div class="col-md-6 col-12">
                                                                        <div class="form-group">
                                                                            <label for="degree3">ราคาปกติ</label>
                                                                            <input type="text" class="form-control"
                                                                                id="price" name="price" value="" required>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-6 col-12">
                                                                        <div class="form-group">
                                                                            <label for="degree3">ราคาขาย</label>
                                                                            <input type="text" class="form-control"
                                                                                id="sale_price" name="sale_price" value="" required>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="form-group col-xl-8 col-lg-8 col-12">
                                                                <label for="exampleFormControlTextarea1">รายละเอียดสินค้า</label>
                                                                <textarea class="form-control" id="description" name="description" rows="5" required></textarea>
                                                            </div>
                                                            <div class="form-group col-xl-4 col-lg-4 col-12">
                                                                <div class="form-group col-xl-12 col-lg-12 col-md-3 col-sm-3 col-12">
                                                                    <label for="exampleFormControlInput1">Date Start</label>
                                                                    <input id="basicFlatpickr" name="start" class="form-control flatpickr flatpickr-input active" type="text" placeholder="Select Date.." required>
                                                                </div>
                                                                <div class="form-group col-xl-12 col-lg-12 col-md-3 col-sm-3 col-12">
                                                                    <label for="exampleFormControlInput1">Date End</label>
                                                                    <input id="basicFlatpickr2" name="end" class="form-control flatpickr flatpickr-input active" type="text" placeholder="Select Date..">
                                                                </div>
                                                            </div>
                                                            <div class="col-md-12 text-center">
                                                                <div class="row">
                                                                    <div class="col-12 col-xl-2 col-md-2" id="img_1">
                                                                        <input type="file" id="input-file-now" class="dropify"/>
                                                                    </div>
                                                                    <div class="col-12 col-xl-2 col-md-2" id="img_2">
                                                                        <input type="file" id="input-file-now" class="dropify"/>
                                                                    </div>
                                                                    <div class="col-12 col-xl-2 col-md-2" id="img_3">
                                                                        <input type="file" id="input-file-now" class="dropify"/>
                                                                    </div>
                                                                    <div class="col-12 col-xl-2 col-md-2" id="img_4">
                                                                        <input type="file" id="input-file-now" class="dropify"/>
                                                                    </div>
                                                                    <div class="col-12 col-xl-2 col-md-2" id="img_5">
                                                                        <input type="file" id="input-file-now" class="dropify"/>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-12 mt-5">
                                                                <h4 class="text-success">สินค้า</h4>
                                                                <div class="row mt-2">
                                                                    <div class="col-md-4">
                                                                        <div class="form-group">
                                                                            <select class="form-control mb-4" id="wes-from-product">
                                                                                <% product.forEach(element => { %>
                                                                                    <option value="<%=element.product_code_user %>"><%=element.product_name %></option>
                                                                                <% }); %>
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-3 mb-4 col-6">
                                                                        <input class="text-center" id="demo3_21" type="text" value="0" name="demo3_21">
                                                                    </div>
                                                                    <div class="col-md-2 col-6">
                                                                            <button class="btn btn-success mt-1 mb-4" id="add">เพิ่มสินค้า</button>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-12 mt-3">
                                                                <div class="table-responsive">
                                                                    <table class="table mb-4" id="table_cart">
                                                                        <thead>
                                                                            <tr>
                                                                                <th class="text-success">รหัสสินค้า</th>
                                                                                <th class="text-success">ชื่อสินค้า</th>
                                                                                <th class="text-center text-success">จำนวน</th>
                                                                                <th class="text-center text-success">action</th>
                                                                            </tr>
                                                                        </thead>
                                                                        <tbody>
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="row">
                                                            
                                                        </div>
                                                        <div class="text-center">
                                                            <button class="btn btn-success mt-3 mb-4 text-center" id="save">บันทึก</button>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <div class="footer-wrapper">
                <div class="footer-section f-section-1">
                    <p class="">Copyright © 2023 <a target="_blank" href="https://designreset.com"> Absolute Well Being
                            Group Co.,Ltd.</a>, All
                        rights reserved.</p>
                </div>
                <div class="footer-section f-section-2">
                    <p class="">Coded with <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                            viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2"
                            stroke-linecap="round" stroke-linejoin="round" class="feather feather-heart">
                            <path
                                d="M20.84 4.61a5.5 5.5 0 0 0-7.78 0L12 5.67l-1.06-1.06a5.5 5.5 0 0 0-7.78 7.78l1.06 1.06L12 21.23l7.78-7.78 1.06-1.06a5.5 5.5 0 0 0 0-7.78z">
                            </path>
                        </svg> LISH THAILAND</p>
                </div>
            </div>
            <!--  END CONTENT AREA  -->

        </div>
        <!-- END MAIN CONTAINER -->



        <!-- BEGIN GLOBAL MANDATORY SCRIPTS -->
        <script src="/assets/js/libs/jquery-3.1.1.min.js"></script>
        <script src="/bootstrap/js/popper.min.js"></script>
        <script src="/bootstrap/js/bootstrap.min.js"></script>
        <script src="/plugins/perfect-scrollbar/perfect-scrollbar.min.js"></script>
        <script src="/assets/js/app.js"></script>
        <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
        <script src="/plugins/file-upload/file-upload-with-preview.min.js"></script>
        <script src="/plugins/dropify/dropify.min.js"></script>
        <script src="/plugins/blockui/jquery.blockUI.min.js"></script>
        <script src="/plugins/bootstrap-touchspin/jquery.bootstrap-touchspin.min.js"></script>
        <script src="/plugins/bootstrap-touchspin/custom-bootstrap-touchspin.js"></script>

        <script>
            let data = []
            let cart_data = []
            $(document).ready(function () {
                '<% product.forEach(element => { %>'
                    data.push({product_code:'<%=element.product_code_user %>',product_name:'<%=element.product_name %>'})
                '<% }); %>'
                $('#product_menu').addClass('active')
                $('#product_slide').addClass('show')
                $('#promotion_bar').addClass('active')
                $('#product_menu > a').attr('aria-expanded',true)
                App.init();
                if('<%=promotion.id %>' != '0'){
                    $("#id").val('<%=promotion.id %>')
                    $("#promotion_name").val('<%=promotion.promotion_name %>')
                    $("#promotion_code").val('<%=promotion.promotion_code %>')
                    $("#price").val('<%=promotion.price %>')
                    $("#sale_price").val('<%=promotion.price_sale %>')
                    $("#description").val('<%=promotion.description %>')
                    $("#basicFlatpickr").val('<%=promotion.start_date %>')
                    $("#basicFlatpickr2").val('<%=promotion.end_date %>')
                    let i = 0
                    '<% if(promotion.id != 0){ %>'
                        '<% if(promotion.shop_code != `Admin`){ %>'
                            '<% promotion.img_link.forEach(element=>{ %>'
                                $(`#img_${i+1} input[type=file]`).attr("data-default-file", 'http://128.199.100.251:1001/<%=element.img %>')
                                i++
                            '<% }) %>'
                        '<% } else { %>'
                            '<% promotion.img_link.forEach(element=>{ %>'
                                    $(`#img_${i+1} input[type=file]`).attr("data-default-file", 'http://128.199.100.251:7000/<%=element.img %>')
                                    i++
                                '<% }) %>'
                        '<% } %>'
                            '<% promotion_detail.forEach(element=>{ %>'
                                cart_data.push({quantity:parseInt('<%=element.quantity %>'),product_code:'<%=element.product_code %>',product_name:'<%=element.product_name %>'})
                            '<% }) %>'
                    '<% } %>'
                    show_cart()
                    $('.dropify').dropify();
                }else{
                    $('.dropify').dropify();
                }
            });

            document.getElementById('save').addEventListener('click',(e)=>{
                const formData = new FormData();
                formData.append('id',$("#id").val())
                formData.append('promotion_name',$("#promotion_name").val())
                formData.append('promotion_code',$("#promotion_code").val())
                formData.append('price',$("#price").val())
                formData.append('sale_price',$("#sale_price").val())
                formData.append('description',$("#description").val())
                formData.append('start',$("#basicFlatpickr").val())
                formData.append('end',$("#basicFlatpickr2").val())
                let i = 0
                for(let a = 0;a < $("input[type=file]").length;a++){
                    if($("input[type=file]")[a].files.length == 1){
                        formData.append('files',$("input[type=file]")[a].files[0])
                        i++
                    }
                }
                console.log(Object.fromEntries(formData))
                let link = `/product/insert_promotion`
                if($("#id").val() != "0"){
                    link = `/product/update_promotion`
                }
                if($("#basicFlatpickr").val() == ''){Swal.fire('กรุณาเลือกวันเริ่ม','','warning')}
                else if(cart_data.length == 0){Swal.fire('กรุณาเพิ่มสินค้า','','warning')}
                else{
                    formData.append('count',cart_data.length)
                    cart_data.forEach(element=>{
                        formData.append('product_code',element.product_code)
                        formData.append('product_name',element.product_name)
                        formData.append('quantity',element.quantity)
                    })
                    formData.append('shop_code','<%=locals.shop %>')
                    $.ajax({
                        type: 'POST',
                        url: link,
                        processData: false,
                        contentType: false,
                        data: formData, // data type expected from server
                        success: function (data) {
                            if($("#id").val() == "0"){
                                if(data.Message == 'Success'){
                                    Swal.fire('เพิ่มเรียบร้อย','','success').then(()=>{
                                        window.location = '/product/Promotion<%=locals.shop %>'
                                    })
                                }else{
                                    Swal.fire('เพิ่มไม่สำเร็จ','','error')
                                }
                            }else{
                                if(data.Message == 'Success'){
                                    Swal.fire('อัพเดทเรียบร้อย','','success').then(()=>{
                                        window.location = '/product/Promotion<%=locals.shop %>'
                                    })
                                }else{
                                    Swal.fire('อัพเดทไม่สำเร็จ','','error')
                                }
                            }
                        }
                    });
                }
            })
            
            document.getElementById('add').addEventListener('click',(e)=>{
                let product = $('#wes-from-product').val()
                let cart_check = cart_data.filter(element=>{if(element.product_code == product){element.quantity += parseInt($('#demo3_21').val());return 1}})
                if(cart_check.length == 0){
                    data.find(element=>{if(element.product_code == product){
                        cart_data.push({quantity:parseInt($('#demo3_21').val()),product_code:element.product_code,product_name:element.product_name})
                    }})
                }
                show_cart()
            })
        
            function show_cart(){
                let table_cart = $('#table_cart > tbody')
                table_cart.html('')
                let add = ``
                cart_data.forEach((element)=>{
                    console.log(element)
                    add += `<tr>
                                <td>${element.product_code}</td>
                                <td>${element.product_name}</td>
                                <td>${element.quantity}</td>
                                <td class="text-center">
                                    <svg xmlns="http://www.w3.org/2000/svg" onclick="del_cart('${element.product_code}')" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="feather feather-x-circle table-cancel">
                                        <circle cx="12" cy="12" r="10"></circle><line x1="15" y1="9" x2="9" y2="15"></line>
                                        <line x1="9" y1="9" x2="15" y2="15"></line></svg>
                                </td>
                            </tr>`
                })
                table_cart.append(add)
            }

            function del_cart(product_code){
                cart_data = cart_data.filter((e)=>e.product_code != product_code)
                show_cart()
            }
        </script>
        <script src="/assets/js/custom.js"></script>
        <!-- END GLOBAL MANDATORY SCRIPTS -->

        <script src="/plugins/flatpickr/flatpickr.js"></script>

        <script src="/plugins/flatpickr/custom-flatpickr.js"></script>


</body>

</html>